s = Server.local;
s.waitForBoot {
    var module, sound1, sound2;

    // Connect to OSC
    thisProcess.openUDPPort(5005);
    n = NetAddr.new("0.0.0.0", 5005);
    o = OSCFunc({ arg msg, time, addr, recvPort; [msg, time, addr, recvPort].postln; }, '/radio', n);
    OSCFunc.trace(true); 

    // Create the synth definition and load it
    module = SynthDef.new("module", { arg hue, saturation, value;
        Out.ar(0, SinOsc.ar(hue));
    });
    module.load(s);
    
    // Make a sound
    sound1 = Synth.new("module", [\hue, 440, \saturation, 100, \value, 500]);
    sound2 = Synth.new("module", [\hue, 800, \saturation, 100, \value, 500]);
};
